package com.ejie.ab79.model;


import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * InspeccionesJson  
 *  
 */

public class InspeccionesJson  implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
            private Integer idInspeccionJson;
            private EnviosJson enviosJson;
            private Integer idInspeccion;
            private String idInspeccionMovil;
            private Integer estado;
            private String error;
            private Date fechaRegistro;
            private String usuarioRegistro;
            private Date fechaUltmodificacion;
            private String usuarioUltmodificacion;
            private List<ActuacionesJson> actuacionesJsons = new ArrayList<ActuacionesJson>();
            private List<DocumentosJson> documentosJsons = new ArrayList<DocumentosJson>();
            private List<PreguntasJson> preguntasJsons = new ArrayList<PreguntasJson>();

	/** 
	 * Method 'InspeccionesJson'.
	 */
    public InspeccionesJson() {
    }


	
    
    /** 
     * Method 'InspeccionesJson'.
     * @param idInspeccionJson Integer
     */    
     public InspeccionesJson(Integer idInspeccionJson) {
          this.idInspeccionJson = idInspeccionJson;
	}


    /** 
     * Method 'InspeccionesJson'.
     * @param idInspeccionJson Integer
     * @param idInspeccion Integer
     * @param idInspeccionMovil String
     * @param estado Integer
     * @param error String
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     * @param fechaUltmodificacion Date
     * @param usuarioUltmodificacion String
     * @param enviosJson EnviosJson
     */
     public InspeccionesJson(Integer idInspeccionJson, Integer idInspeccion, String idInspeccionMovil, Integer estado, String error, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion , EnviosJson enviosJson) {	
        this.idInspeccionJson = idInspeccionJson;
        this.enviosJson = enviosJson;
        this.idInspeccion = idInspeccion;
        this.idInspeccionMovil = idInspeccionMovil;
        this.estado = estado;
        this.error = error;
        this.fechaRegistro = fechaRegistro;
        this.usuarioRegistro = usuarioRegistro;
        this.fechaUltmodificacion = fechaUltmodificacion;
        this.usuarioUltmodificacion = usuarioUltmodificacion;
	}
    

    /** 
     * Method 'InspeccionesJson'.
     * @param idInspeccionJson Integer
     * @param idInspeccion Integer
     * @param idInspeccionMovil String
     * @param estado Integer
     * @param error String
     * @param fechaRegistro Date
     * @param usuarioRegistro String
     * @param fechaUltmodificacion Date
     * @param usuarioUltmodificacion String
     * @param enviosJson EnviosJson
     * @param actuacionesJsons List<ActuacionesJson>
     * @param documentosJsons List<DocumentosJson>
     * @param preguntasJsons List<PreguntasJson>
     */
   public InspeccionesJson(Integer idInspeccionJson, Integer idInspeccion, String idInspeccionMovil, Integer estado, String error, Date fechaRegistro, String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion, EnviosJson enviosJson, List<ActuacionesJson> actuacionesJsons, List<DocumentosJson> documentosJsons, List<PreguntasJson> preguntasJsons) {	

           this.idInspeccionJson = idInspeccionJson;
           this.enviosJson = enviosJson;
           this.idInspeccion = idInspeccion;
           this.idInspeccionMovil = idInspeccionMovil;
           this.estado = estado;
           this.error = error;
           this.fechaRegistro = fechaRegistro;
           this.usuarioRegistro = usuarioRegistro;
           this.fechaUltmodificacion = fechaUltmodificacion;
           this.usuarioUltmodificacion = usuarioUltmodificacion;
           this.actuacionesJsons = actuacionesJsons;
           this.documentosJsons = documentosJsons;
           this.preguntasJsons = preguntasJsons;
    }

    /**
	 * Method 'getIdInspeccionJson'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdInspeccionJson() {
		return this.idInspeccionJson;
	}

	/**
	 * Method 'setIdInspeccionJson'.
	 *
	 * @param idInspeccionJson Integer
	 * @return
     */
	
	public void setIdInspeccionJson(Integer idInspeccionJson) {
		this.idInspeccionJson = idInspeccionJson;
	}
    /**
	 * Method 'getEnviosJson'.
	 *
	 * @return EnviosJson
	 */
	@JsonIgnore
	
	public EnviosJson getEnviosJson() {
		return this.enviosJson;
	}

	/**
	 * Method 'setEnviosJson'.
	 *
	 * @param enviosJson EnviosJson
	 * @return
     */
	
	public void setEnviosJson(EnviosJson enviosJson) {
		this.enviosJson = enviosJson;
	}
    /**
	 * Method 'getIdInspeccion'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getIdInspeccion() {
		return this.idInspeccion;
	}

	/**
	 * Method 'setIdInspeccion'.
	 *
	 * @param idInspeccion Integer
	 * @return
     */
	
	public void setIdInspeccion(Integer idInspeccion) {
		this.idInspeccion = idInspeccion;
	}
    /**
	 * Method 'getIdInspeccionMovil'.
	 *
	 * @return String
	 */
	
	
	public String getIdInspeccionMovil() {
		return this.idInspeccionMovil;
	}

	/**
	 * Method 'setIdInspeccionMovil'.
	 *
	 * @param idInspeccionMovil String
	 * @return
     */
	
	public void setIdInspeccionMovil(String idInspeccionMovil) {
		this.idInspeccionMovil = idInspeccionMovil;
	}
    /**
	 * Method 'getEstado'.
	 *
	 * @return Integer
	 */
	
	
	public Integer getEstado() {
		return this.estado;
	}

	/**
	 * Method 'setEstado'.
	 *
	 * @param estado Integer
	 * @return
     */
	
	public void setEstado(Integer estado) {
		this.estado = estado;
	}
    /**
	 * Method 'getError'.
	 *
	 * @return String
	 */
	
	
	public String getError() {
		return this.error;
	}

	/**
	 * Method 'setError'.
	 *
	 * @param error String
	 * @return
     */
	
	public void setError(String error) {
		this.error = error;
	}
    /**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}
    /**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro String
	 * @return
     */
	
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}
    /**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */
	
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion java.util.Date
	 * @return
     */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}
    /**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */
	
	
	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion String
	 * @return
     */
	
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}
	/**
	 * Method 'getActuacionesJsons'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<ActuacionesJson> getActuacionesJsons() {
		return this.actuacionesJsons;
	}
	
	/**
	 * Method 'setActuacionesJsons'.
	 *
	 * @param actuacionesJsons List
	 * @return
	 */
	public void setActuacionesJsons(List<ActuacionesJson> actuacionesJsons) {
		this.actuacionesJsons = actuacionesJsons;
	}
	/**
	 * Method 'getDocumentosJsons'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<DocumentosJson> getDocumentosJsons() {
		return this.documentosJsons;
	}
	
	/**
	 * Method 'setDocumentosJsons'.
	 *
	 * @param documentosJsons List
	 * @return
	 */
	public void setDocumentosJsons(List<DocumentosJson> documentosJsons) {
		this.documentosJsons = documentosJsons;
	}
	/**
	 * Method 'getPreguntasJsons'.
	 *
	 * @return List
	 */
	@JsonIgnore
	public List<PreguntasJson> getPreguntasJsons() {
		return this.preguntasJsons;
	}
	
	/**
	 * Method 'setPreguntasJsons'.
	 *
	 * @param preguntasJsons List
	 * @return
	 */
	public void setPreguntasJsons(List<PreguntasJson> preguntasJsons) {
		this.preguntasJsons = preguntasJsons;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { " ); 
		result.append(" [ idInspeccionJson: ").append(this.idInspeccionJson).append(" ]");
		result.append(", [ idInspeccion: ").append(this.idInspeccion).append(" ]");
		result.append(", [ idInspeccionMovil: ").append(this.idInspeccionMovil).append(" ]");
		result.append(", [ estado: ").append(this.estado).append(" ]");
		result.append(", [ error: ").append(this.error).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}


}

